<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class OrdemServFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function getOrdemServ($NR) {
        $alter="ALTER SESSION SET NLS_DATE_FORMAT = 'DD/MM/YYYY HH24:MI:SS'";
        $std = $this->connection->prepare($alter);
        $std->execute();

        $sql = "SELECT FCM_ORDEMSERV.NRORDEMSERV, TO_CHAR(FCM_ORDEMSERV.DTORDEMSERV, 'DD/MM/YYYY') AS DTORDEMSERV, FCM_TIPOMANUTENCAO.NMTIPOMANUTENCAO,
                       FCM_CATEGORIAMANUT.NMCATEGORIAMANUT,
                       CASE WHEN FCM_FUNCIONARIO.NMFUNCIONARIO IS NULL THEN ' ' ELSE FCM_FUNCIONARIO.NMFUNCIONARIO END AS NMFUNCIONARIO,
                       CASE FCM_ORDEMSERV.IDSITUACAO WHEN '1' THEN 'Pendente' 
                                                        WHEN '2' THEN 'Em Andamento' 
                                                     WHEN '3' THEN 'Concluída' END AS IDSITUACAO
                FROM FCM_ORDEMSERV
                JOIN FCM_CATEGORIAMANUT
                  ON FCM_ORDEMSERV.NRCATEGORIAMANUT = FCM_CATEGORIAMANUT.NRCATEGORIAMANUT
           left JOIN FCM_RESPONSAVEISORDEMSERV
                  ON FCM_ORDEMSERV.NRORDEMSERV = FCM_RESPONSAVEISORDEMSERV.NRORDEMSERV
           left JOIN FCM_FUNCIONARIO
                  ON FCM_RESPONSAVEISORDEMSERV.NRFUNCIONARIO = FCM_FUNCIONARIO.NRFUNCIONARIO
                JOIN FCM_TIPOMANUTENCAO
                  ON FCM_ORDEMSERV.NRTIPOMANUTENCAO = FCM_TIPOMANUTENCAO.NRTIPOMANUTENCAO
               WHERE FCM_ORDEMSERV.NREQUIPAMENTO = ".$NR;

        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    }
}

?>