<?php

namespace FM\Service;

use FM\Factory\DadosRelatorioFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;

class DadosRelatorioService {

    protected $connection;
    protected $DadosRelatorioFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (EntityManager $entityManager, DadosRelatorioFactory $DadosRelatorioFactory, Environment $Environment, NewCode $newCode) {
        $this->connection = $entityManager->getConnection();
        $this->DadosRelatorioFactory = $DadosRelatorioFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }

    public function getDataBase(){
        $operadores = $this->DadosRelatorioFactory->getDataBase();
        return $operadores;
    }
    
    public function getData($param){
        $operadores = $this->DadosRelatorioFactory->getData($param);
        return $operadores;
    }
}

?>